loci.formats.in

## Class SlideBook7Reader.CHistogramRecord70

- java.lang.Object
- - loci.formats.in.SlideBook7Reader.ClassDecoder
  - - loci.formats.in.SlideBook7Reader.CHistogramRecord70

- Enclosing class:
    SlideBook7Reader

      class SlideBook7Reader.CHistogramRecord70
      extends SlideBook7Reader.ClassDecoder

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.Integer` | `mByteOrdering`
    `java.lang.Integer` | `mChannelIndex`
    `java.lang.Integer` | `mDataBlockSize`
    `java.lang.Integer` | `mHistogramType`
    `java.lang.Integer` | `mImageIndex`
    `java.lang.Integer` | `mMax`
    `java.lang.Float` | `mMean`
    `java.lang.Integer` | `mMin`
    `java.lang.Integer` | `mNumBins`
    `java.lang.Integer` | `mStructID`
    `java.lang.Integer` | `mStructLen`
    `java.lang.Integer` | `mStructVersion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CHistogramRecord70()`

  - ### Method Summary

    - ### Methods inherited from class loci.formats.in.SlideBook7Reader.ClassDecoder

      `Decode, Decode, DecodeUnknownString, FindNextClass, GetDoubleArray, GetFloatArray, GetIntegerArray, GetIntegerValue, GetLongArray, GetSBClassName, GetStringArray, GetStringValue, RestoreSpecialCharacters`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mStructID

          public java.lang.Integer mStructID

    - #### mStructVersion

          public java.lang.Integer mStructVersion

    - #### mByteOrdering

          public java.lang.Integer mByteOrdering

    - #### mStructLen

          public java.lang.Integer mStructLen

    - #### mMin

          public java.lang.Integer mMin

    - #### mMax

          public java.lang.Integer mMax

    - #### mMean

          public java.lang.Float mMean

    - #### mHistogramType

          public java.lang.Integer mHistogramType

    - #### mNumBins

          public java.lang.Integer mNumBins

    - #### mDataBlockSize

          public java.lang.Integer mDataBlockSize

    - #### mChannelIndex

          public java.lang.Integer mChannelIndex

    - #### mImageIndex

          public java.lang.Integer mImageIndex

  - ### Constructor Detail

    - #### CHistogramRecord70

          CHistogramRecord70()

Copyright © 2026 Open Microscopy Environment